### Method

# Shell Global begin_work

#### Declaration [src]

    void
    shell_global_begin_work (
      ShellGlobal* global
    )

#### Description [src]

Marks that we are currently doing work. This is used to to track whether we are busy for the purposes of shell_global_run_at_leisure(). A count is kept and `shell_global_end_work()` must be called exactly as many times as shell_global_begin_work().